Bug 145953 - default acl propagation fails
default acl propagation fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 07:07 EST by Zing
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:30:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zing 2005-01-24 07:07:29 EST
Description of problem:
default acls are not propagated.

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.9_FC2

How reproducible:
run script @ 
http://acl.bestbits.at/pipermail/acl-devel/2005-January/001822.html
  
Actual results:
script test fails

Expected results:
script test succeed

Additional info:
script test seem to run ok on kernel-2.6.10-1.741_FC3 on core3
Comment 1 Dave Jones 2005-01-24 17:57:45 EST
kernel-2.6.10-1.741_FC3 and kernel-2.6.10-1.9_FC2 are exactly the same
code base, differing only in some config options, so I'm suspicious
that this is a kernel issue.

sct, does FC2 need an update to its acl package perhaps now that we've
got a 2.6.10 update there too ?
Comment 2 Stephen Tweedie 2005-01-24 18:11:25 EST
It may well just be a kernel problem: Andreas just found an issue
about default ACLs that affected in-inode xattrs, and there's a chance
it can affect old-style xattrs too.  We're still investigating.

I'll take this one for now, and reassign once we know if it's kernel
or user-land.
Comment 3 Zing 2005-02-07 16:47:08 EST
just a note:

2.6.11rc3 + andreas latest xattr fix looks promising:

http://marc.theaimsgroup.com/?l=linux-kernel&m=110762713314000&w=2

i haven't been able to reproduce on my test franken-fc2 box.  
Comment 4 Dave Jones 2005-04-16 01:30:06 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.